Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.declarativa.interprolog.gui
Class PredicateTableModel

    java.lang.Object
      com.declarativa.interprolog.gui.PredicateTableModel

All Implemented Interfaces:
  Serializable, TableModel

public class PredicateTableModel
extends Object
implements Serializable, TableModel

See Also:
  Serialized Form

Constructor Summary
`PredicateTableModel(TermModel template, TermModel[] tuples)`

Method Summary
`void` | `addTableModelListener(TableModelListener l)`
`static ObjectExamplePair` | `example()`
`Class` | `getColumnClass(int columnIndex)`
`int` | `getColumnCount()`
`String` | `getColumnName(int columnIndex)`
`int` | `getRowCount()`
`Object` | `getValueAt(int row, int column)`
`boolean` | `isCellEditable(int rowIndex, int columnIndex)`
`void` | `removeTableModelListener(TableModelListener l)`
`void` | `setValueAt(Object aValue, int rowIndex, int columnIndex)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PredicateTableModel

    public PredicateTableModel(TermModel template,
                               TermModel[] tuples)

Method Detail

### example

    public static ObjectExamplePair example()

### toString

    public String toString()

### addTableModelListener

    public void addTableModelListener(TableModelListener l)

  Specified by:
    `addTableModelListener` in interface `TableModel`

### removeTableModelListener

    public void removeTableModelListener(TableModelListener l)

  Specified by:
    `removeTableModelListener` in interface `TableModel`

### getColumnClass

    public Class getColumnClass(int columnIndex)

  Specified by:
    `getColumnClass` in interface `TableModel`

### isCellEditable

    public boolean isCellEditable(int rowIndex,
                                  int columnIndex)

  Specified by:
    `isCellEditable` in interface `TableModel`

### setValueAt

    public void setValueAt(Object aValue,
                           int rowIndex,
                           int columnIndex)

  Specified by:
    `setValueAt` in interface `TableModel`

### getColumnName

    public String getColumnName(int columnIndex)

  Specified by:
    `getColumnName` in interface `TableModel`

### getRowCount

    public int getRowCount()

  Specified by:
    `getRowCount` in interface `TableModel`

### getColumnCount

    public int getColumnCount()

  Specified by:
    `getColumnCount` in interface `TableModel`

### getValueAt

    public Object getValueAt(int row,
                             int column)

  Specified by:
    `getValueAt` in interface `TableModel`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD